//go:build !ignore_autogenerated

/*
Copyright 2023 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ByoHostPoolScaler) DeepCopyInto(out *ByoHostPoolScaler) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	out.Spec = in.Spec
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ByoHostPoolScaler.
func (in *ByoHostPoolScaler) DeepCopy() *ByoHostPoolScaler {
	if in == nil {
		return nil
	}
	out := new(ByoHostPoolScaler)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *ByoHostPoolScaler) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ByoHostPoolScalerList) DeepCopyInto(out *ByoHostPoolScalerList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]ByoHostPoolScaler, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ByoHostPoolScalerList.
func (in *ByoHostPoolScalerList) DeepCopy() *ByoHostPoolScalerList {
	if in == nil {
		return nil
	}
	out := new(ByoHostPoolScalerList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *ByoHostPoolScalerList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ByoHostPoolScalerSpec) DeepCopyInto(out *ByoHostPoolScalerSpec) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ByoHostPoolScalerSpec.
func (in *ByoHostPoolScalerSpec) DeepCopy() *ByoHostPoolScalerSpec {
	if in == nil {
		return nil
	}
	out := new(ByoHostPoolScalerSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ByoHostPoolScalerStatus) DeepCopyInto(out *ByoHostPoolScalerStatus) {
	*out = *in
	if in.ByoHostPoolList != nil {
		in, out := &in.ByoHostPoolList, &out.ByoHostPoolList
		*out = make([]string, len(*in))
		copy(*out, *in)
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ByoHostPoolScalerStatus.
func (in *ByoHostPoolScalerStatus) DeepCopy() *ByoHostPoolScalerStatus {
	if in == nil {
		return nil
	}
	out := new(ByoHostPoolScalerStatus)
	in.DeepCopyInto(out)
	return out
}
